Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 83)
@@ -2600,150 +2332,9 @@
                 System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
                 int ButtonCol = tblLayoutConstruction.GetColumn(btnKey);                    // 列取得（Ｘ）
                 int ButtonRow = tblLayoutConstruction.GetRow(btnKey);                       // 行取得（Ｙ）
-                switch (ButtonRow)
-                {
-                    case 1:
-                        switch (ButtonCol)
-                        {
-                            case 1:
-                                #region 行動予定入力
-                                // 行動予定入力
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ActionSchdule);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
-                                break;
-                                #endregion
-                            case 3:
-                                #region 車両予約入力
-                                int VehicleCode = 0;
-                                if (VehicleCodeSelector(ref VehicleCode))
-                                {
-                                    // 車両予約入力
-                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.VehicleSchdule);
-                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(VehicleCode);
-                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
-                                }
-                                break;
-                                #endregion
-                            case 5:
-                                break;
-                            case 7:
-                                break;
-                            case 9:
-                                break;
-                        }
-                        break;
-                    case 3:
-                        switch (ButtonCol)
-                        {
-                            case 1:
-                            case 3:
-                                break;
-                            case 5:
-                                break;
-                            case 7:
-                                break;
-                            case 9:
-                                break;
-                        }
-                        break;
-                    case 7:
-                        switch (ButtonCol)
-                        {
-                            case 1:
-                                #region 工事基本情報入力
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                                //　工事基本情報入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
-                                break;
-                                #endregion
-                            case 3:
-                                #region 工事施工予算入力
-                                // ----- 起動プロセス設定
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
-
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                // 工事施工予算入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                break;
-                                #endregion
-                            case 5:
-                                break;
-                            case 7:
-                                break;
-                            case 9:
-                                break;
-                        }
-                        break;
-                    case 9:
-                        switch (ButtonCol)
-                        {
-                            case 1:
-                                break;
-                            case 3:
-                                break;
-                            case 5:
-                                break;
-                            case 7:
-                                break;
-                            case 9:
-                                break;
-                        }
-                        break;
-                    case 13:
-                        switch (ButtonCol)
-                        {
-                            case 1:
-                                #region 業者・職人手間請求確認（手間業者）
-                                // 業者・職人手間請求確認（手間業者）
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestSummaryList);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.LabourKinds.Labor);
-                                break;
-                                #endregion
-                            case 3:
-                                #region 業者・職人手間請求確認（通常業者）
-                                // 業者・職人手間請求確認（通常業者）
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestSummaryList);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.LabourKinds.Normal);
-                                break;
-                                #endregion
-                            case 5:
-                                break;
-                            case 7:
-                                break;
-                            case 9:
-                                #region 取引先入金入力
-                                // 入金確認
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation);
-                                break;
-                                #endregion
-                        }
-                        break;
-                    case 17:
-                        switch (ButtonCol)
-                        {
-                            case 1:
-                                break;
-                            case 3:
-                                break;
-                            case 5:
-                                break;
-                            case 7:
-                                break;
-                            case 9:
-                                break;
-                        }
-                        break;
-                }
-                if (NowPoint < 0) return;
-
-                // 処理実行
-                ClsExcute.ProcesscExecute();
-                return;
+                // 処理起動
+                AffairsTabEvent(ButtonRow, ButtonCol, ref NowPoint);
             }
             catch (Exception ex)
             {
@@ -2759,6 +2350,40 @@
         }
         #endregion
 
+        #region 各種届メニューボタン押下
+        /// <summary>
+        /// 各種届メニューボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNotification_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                int NowPoint = -1;
+                // 自画面非表示
+                if (CommonMotions.ProductionExecution) this.Visible = false;
+
+                // 参照オブジェクトをボタンに変換
+                System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
+                int ButtonCol = tblLayoutConstruction.GetColumn(btnKey);                    // 列取得（Ｘ）
+                int ButtonRow = tblLayoutConstruction.GetRow(btnKey);                       // 行取得（Ｙ）
+
+                // 処理起動
+                NotificationTabEvent(ButtonRow, ButtonCol, ref NowPoint);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 自画面表示
+                if (CommonMotions.ProductionExecution) this.Visible = true;
+            }
+        }
+        #endregion
+
         #region マスタメンテメニューボタン押下
         /// <summary>
         /// マスタメンテメニューボタン押下
@@ -2891,98 +2516,106 @@
         /// <param name="e"></param>
         private void tabMenu_DrawItem(object sender, DrawItemEventArgs e)
         {
-            //対象のTabControlを取得
-            TabControl tab = (TabControl)sender;
-            //タブページのテキストを取得
-            string txt = tab.TabPages[e.Index].Text;
-
-            //タブのテキストと背景を描画するためのブラシを決定する
             Brush foreBrush = null;
             Brush backBrush = null;
-            // タブの番号取得
-            int iMenuIndex = MenuTabName[tab.TabPages[e.Index].Name];
-
-            switch (iMenuIndex)
+            try
             {
-                case (int)TabNameEnum.BusinessMessage:
-                    // 秘書からの連絡
-                    backBrush = new SolidBrush(Color.DarkMagenta);
-                    foreBrush = Brushes.Gold;
-                    break;
-                case (int)TabNameEnum.MessageBoard:
-                    // 社内掲示板
-                    backBrush = new SolidBrush(Color.Red);
-                    foreBrush = Brushes.White;
-                    break;
-                case (int)TabNameEnum.DocumentApproval:
-                    // 承認処理
-                    backBrush = new SolidBrush(Color.Gold);
-                    foreBrush = Brushes.Black;
-                    break;
+                //対象のTabControlを取得
+                TabControl tab = (TabControl)sender;
+                //タブページのテキストを取得
+                string txt = tab.TabPages[e.Index].Text;
 
-                case (int)TabNameEnum.SalesInProjects:
+                //タブのテキストと背景を描画するためのブラシを決定する
+                // タブの番号取得
+                int iMenuIndex = MenuTabName[tab.TabPages[e.Index].Name];
+
+                switch (iMenuIndex)
+                {
+                    case (int)TabNameEnum.BusinessMessage:
+                        // 秘書からの連絡
+                        backBrush = new SolidBrush(Color.DarkMagenta);
+                        foreBrush = Brushes.Gold;
+                        break;
+                    case (int)TabNameEnum.MessageBoard:
+                        // 社内掲示板
+                        backBrush = new SolidBrush(Color.Red);
+                        foreBrush = Brushes.White;
+                        break;
+                    case (int)TabNameEnum.ConstructApproval:
+                    case (int)TabNameEnum.PersonApproval:
+                        // 承認処理
+                        backBrush = new SolidBrush(Color.Gold);
+                        foreBrush = Brushes.Black;
+                        break;
+
+                    case (int)TabNameEnum.SalesInProjects:
                     // 工事案件
-                case (int)TabNameEnum.Tenders:
+                    case (int)TabNameEnum.Tenders:
                     // 入札案件
-                case (int)TabNameEnum.BudgetUpProjects:
+                    case (int)TabNameEnum.BudgetUpProjects:
                     // 予算取り案件
-                case (int)TabNameEnum.ConstructionProjects:
+                    case (int)TabNameEnum.ConstructionProjects:
                     // 受注案件
-                case (int)TabNameEnum.FluctuationProjects:
+                    case (int)TabNameEnum.FluctuationProjects:
                     // 増減工事案件
-                case (int)TabNameEnum.NonOrders:
+                    case (int)TabNameEnum.NonOrders:
                     // 非受注工事
-                case (int)TabNameEnum.CompletionOfConstruction:
-                    // 完了工事
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = Brushes.White;
-                    break;
+                    case (int)TabNameEnum.CompletionOfConstruction:
+                        // 完了工事
+                        backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                        foreBrush = Brushes.White;
+                        break;
 
-                case (int)TabNameEnum.ActionSchedule:
-                    // 行動予定
-                    backBrush = new SolidBrush(Color.Yellow);
-                    foreBrush = Brushes.Black;
-                    break;
-                case (int)TabNameEnum.StaffAssignment:
-                    // 人員配置
-                    backBrush = new SolidBrush(Color.Orange);
-                    foreBrush = Brushes.Black;
-                    break;
-                case (int)TabNameEnum.SalesGraph:
-                    // 売上グラフ
-                    backBrush = new SolidBrush(Color.DarkOrange);
-                    foreBrush = Brushes.Black;
-                    break;
+                    case (int)TabNameEnum.ActionSchedule:
+                        // 行動予定
+                        backBrush = new SolidBrush(Color.Yellow);
+                        foreBrush = Brushes.Black;
+                        break;
+                    case (int)TabNameEnum.StaffAssignment:
+                        // 人員配置
+                        backBrush = new SolidBrush(Color.Orange);
+                        foreBrush = Brushes.Black;
+                        break;
+                    case (int)TabNameEnum.SalesGraph:
+                        // 売上グラフ
+                        backBrush = new SolidBrush(Color.DarkOrange);
+                        foreBrush = Brushes.Black;
+                        break;
 
-                case (int)TabNameEnum.OrderMenu:
+                    case (int)TabNameEnum.OrderMenu:
                     // 受注管理
-                case (int)TabNameEnum.ConstructionMenu:
+                    case (int)TabNameEnum.ConstructionMenu:
                     // 施工管理
-                case (int)TabNameEnum.Affairs:
+                    case (int)TabNameEnum.Affairs:
                     // 総務管理
-                case (int)TabNameEnum.DocumentsToBeBubmitted:
-                    // 各種提出書類
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = Brushes.Black;
-                    break;
+                    case (int)TabNameEnum.DocumentsToBeBubmitted:
+                        // 各種提出書類
+                        backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                        foreBrush = Brushes.Black;
+                        break;
 
-                case (int)TabNameEnum.MentenanceMenu:
-                    // マスタ
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = new SolidBrush(CommonMotions.GetComplementaryColor(tab.TabPages[e.Index].BackColor));
-                    break;
-            }
+                    case (int)TabNameEnum.MentenanceMenu:
+                        // マスタ
+                        backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                        foreBrush = new SolidBrush(CommonMotions.GetComplementaryColor(tab.TabPages[e.Index].BackColor));
+                        break;
+                }
 
-            //StringFormatを作成
-            StringFormat sf = new StringFormat();
-            //中央に表示する
-            sf.Alignment = StringAlignment.Center;
-            sf.LineAlignment = StringAlignment.Center;
+                //StringFormatを作成
+                StringFormat sf = new StringFormat();
+                //中央に表示する
+                sf.Alignment = StringAlignment.Center;
+                sf.LineAlignment = StringAlignment.Center;
 
-            //背景の描画
-            e.Graphics.FillRectangle(backBrush, e.Bounds);
-            //Textの描画
-            e.Graphics.DrawString(txt, e.Font, foreBrush, e.Bounds, sf);
+                //背景の描画
+                e.Graphics.FillRectangle(backBrush, e.Bounds);
+                //Textの描画
+                e.Graphics.DrawString(txt, e.Font, foreBrush, e.Bounds, sf);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
@@ -3015,25 +2648,5 @@
             DispNonOrders();
         }
         #endregion
-
-        #region 増減工事状況期数選択
-        /// <summary>
-        /// 増減工事状況期数選択
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void numUDConstProF_ValueChanged(object sender, EventArgs e)
-        {
-            try
-            {
-                // 増減工事状況一覧合計金額計算表示
-                FluctuationTotalCalc();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
     }
 }
